/****************************************************************************
 *
 * Filename:    usb_tc08.vh
 * Copyright:   Pico Technology Limited 2002-2003
 * Author:      MAS
 * Description:
 *
 * This header defines the interface to driver routines for the PICO USB TC-08
 * Product.
 *
 * History:
 *  19 Sep 03 MAS Created
 *
 * 
 ****************************************************************************/

short  usb_tc08_open_unit (void);

short  usb_tc08_close_unit(short handle);

short  usb_tc08_stop (short handle);

short  usb_tc08_set_mains(short handle, short sixty_hertz);

long  usb_tc08_get_minimum_interval_ms (short handle);

short  usb_get_formatted_info (short handle,
                              char* unit_info,
                              short string_length);

short  usb_tc08_get_last_error (short handle);

short  usb_tc08_set_channel (short handle,
                            short channel,
                            short tc_type);

long  usb_tc08_run(short handle, long interval);

long  usb_tc08_get_temp (short handle,
                                 float *temp_buffer,
                                 long  *times_ms_buffer,
                                 long  buffer_length,
				 short *overflow,
                                 short channel, 
                                 short units);

short  usb_tc08_get_single (short handle,
                                     float *temp_buffer,
				     short *overflow,
                                     short units);


long  usb_tc08_get_temp_deskew (short handle,
                               float*temp,
                               long  *times,
                               long  *buffer_length,
			       short *overflow,
                               short channel,
                               short units);

short  usb_tc08_legacy_run(short handle);

short  usb_tc08_legacy_set_channel (short handle,
                                   short channel,
                                   short tc_type,
                                   short filter_factor);

short  usb_tc08_legacy_get_temp (long *temp,
                              short handle,
                               short channel,
                                short filtered);

short  usb_tc08_legacy_get_cold_junction (short	handle, long *temp);

short  usb_tc08_legacy_get_driver_version (void);

short  usb_tc08_legacy_get_version (short handle, short *version);

short  usb_tc08_legacy_get_cycle (short handle,
                                 long * cycle);






